Bug 1574619 - X server sometimes dies after suspend/resume
Summary: X server sometimes dies after suspend/resume
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 16:42 UTC by Matthew Cline
Modified: 2018-11-30 21:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:26:49 UTC
Type: Bug


Attachments (Terms of Use)
Xorg log file (without logverbose) (41.34 KB, text/plain)
2018-05-03 16:43 UTC, Matthew Cline
no flags Details
/var/log/messages excerpt, from start of resume to last X11 error (31.50 KB, text/plain)
2018-05-03 16:44 UTC, Matthew Cline
no flags Details

Description Matthew Cline 2018-05-03 16:42:28 UTC
Sometimes upon resuming from suspend-to-RAM the X server dies and returns me to the SDDM login screen.  Turning up "logverbose" for Xorg all the way up to 15 only gets me two lines from Xorg after resume:

    AIGLX: Resuming AIGLX clients after VT switch
    RADEON(0): RADEONEnterVT_KMS

This only started happening after upgrading to Fedora 27.  Back when I was still using Fedora 26 I had (on the exact same piece of hardware) a similar but different problem, where after resume the screen would be blank until I switched to a virtual terminal and then switched back to X again, at which point X would be fine (Bug 1530079).

Relevant packages:
* xorg-x11-drv-ati-7.9.0-3.fc27.x86_64
* xorg-x11-server-Xorg-1.19.6-7.fc27.x86_64

Comment 1 Matthew Cline 2018-05-03 16:43:18 UTC
Created attachment 1430785 [details]
Xorg log file (without logverbose)

Comment 2 Matthew Cline 2018-05-03 16:44:55 UTC
Created attachment 1430786 [details]
/var/log/messages excerpt, from start of resume to last X11 error

Comment 3 Ben Cotton 2018-11-27 15:50:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:26:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.